/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.miloserver;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelMiloserverSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_CONF = "camel.source.path.itemId";
    public static final String CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_DOC = "ID of the item";
    public static final String CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_CONF = "camel.source.endpoint.bridgeErrorHandler";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_DOC = "Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_DEFAULT = false;
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_CONF = "camel.source.endpoint.exceptionHandler";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_DOC = "To let the consumer use a custom ExceptionHandler. Notice if the option bridgeErrorHandler is enabled then this option is not in use. By default the consumer will deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_CONF = "camel.source.endpoint.exchangePattern";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_DOC = "Sets the exchange pattern when the consumer creates an exchange. One of: [InOnly] [InOut] [InOptionalOut]";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_CONF = "camel.source.endpoint.basicPropertyBinding";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_DOC = "Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT = false;
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_CONF = "camel.source.endpoint.synchronous";
    public static final String CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_DOC = "Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported).";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_DEFAULT = false;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_CONF = "camel.component.milo-server.applicationName";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_DOC = "The application name";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_CONF = "camel.component.milo-server.applicationUri";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_DOC = "The application URI";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_CONF = "camel.component.milo-server.bindAddresses";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_DOC = "Set the addresses of the local addresses the server should bind to";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_CONF = "camel.component.milo-server.bindPort";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_DOC = "The TCP port the server binds to";
    public static final Integer CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_CONF = "camel.component.milo-server.buildInfo";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_DOC = "Server build info";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_CONF = "camel.component.milo-server.certificateManager";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_DOC = "Server certificate manager";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_CONF = "camel.component.milo-server.certificateValidator";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_DOC = "Validator for client certificates";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_CONF = "camel.component.milo-server.defaultCertificateValidator";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_DOC = "Validator for client certificates using default file based approach";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_CONF = "camel.component.milo-server.enableAnonymousAuthentication";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_DOC = "Enable anonymous authentication, disabled by default";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_DEFAULT = false;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_CONF = "camel.component.milo-server.namespaceUri";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_DOC = "The URI of the namespace, defaults to urn:org:apache:camel";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_CONF = "camel.component.milo-server.path";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_DOC = "The path to be appended to the end of the endpoint url. (doesn't need to start with '/')";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_CONF = "camel.component.milo-server.productUri";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_DOC = "The product URI";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_CONF = "camel.component.milo-server.securityPolicies";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_DOC = "Security policies";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_CONF = "camel.component.milo-server.securityPoliciesById";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_DOC = "Security policies by URI or name";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_CONF = "camel.component.milo-server.serverCertificate";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_DOC = "Server certificate";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_CONF = "camel.component.milo-server.userAuthenticationCredentials";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_DOC = "Set user password combinations in the form of user1:pwd1,user2:pwd2 Usernames and passwords will be URL decoded";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_CONF = "camel.component.milo-server.usernameSecurityPolicyUri";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_DOC = "Set the UserTokenPolicy used when One of: [None] [Basic128Rsa15] [Basic256] [Basic256Sha256] [Aes128_Sha256_RsaOaep] [Aes256_Sha256_RsaPss]";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_DEFAULT = null;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_CONF = "camel.component.milo-server.bridgeErrorHandler";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_DOC = "Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_DEFAULT = false;
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_CONF = "camel.component.milo-server.basicPropertyBinding";
    public static final String CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_DOC = "Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT = false;

    public CamelMiloserverSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelMiloserverSourceConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_MILOSERVER_PATH_ITEM_ID_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_ENDPOINT_BRIDGE_ERROR_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCEPTION_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_ENDPOINT_EXCHANGE_PATTERN_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_ENDPOINT_BASIC_PROPERTY_BINDING_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_ENDPOINT_SYNCHRONOUS_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_NAME_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_APPLICATION_URI_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_ADDRESSES_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_CONF, ConfigDef.Type.INT, CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_BIND_PORT_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_BUILD_INFO_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_MANAGER_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_CERTIFICATE_VALIDATOR_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_DEFAULT_CERTIFICATE_VALIDATOR_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_ENABLE_ANONYMOUS_AUTHENTICATION_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_NAMESPACE_URI_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_PATH_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_PRODUCT_URI_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_SECURITY_POLICIES_BY_ID_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_SERVER_CERTIFICATE_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_USER_AUTHENTICATION_CREDENTIALS_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_USERNAME_SECURITY_POLICY_URI_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_BRIDGE_ERROR_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_MILOSERVER_COMPONENT_BASIC_PROPERTY_BINDING_DOC);
        return conf;
    }
}